---
name: "getVisualBoxList"
mode: "kit"
versionRequirements:
  - { name: "@tuya-miniapp/cloud-api", version: "1.0.5" }
---

## getVisualBoxList

> [VERSION] @tuya-miniapp/cloud-api >= 1.0.5

### Description

Query VisionBox list (associated services)

### Parameters

`Params`

| Parameter | Type | Required | Default | Description |
| --- | --- | --- | --- | --- |
| `params` | `QueryGetAiVisualList` | Yes | - | Request body |

### Referenced Types

##### `type` QueryGetAiVisualList

| Property | Type | Description |
| --- | --- | --- |
| `gid` | `string` | Home gid |

##### `enum` SceneType

| Enum Value | Actual Value | Description |
| --- | --- | --- |
| `SceneType.security` | `0` | Security scenario |
| `SceneType.album` | `1` | Gallery scenario |


### Examples

#### Request example

```typescript
import { getVisualBoxList } from '@tuya-miniapp/cloud-api';

getVisualBoxList({ gid: '194137' })
  .then((list) => console.log(list))
  .catch(console.error);
```

#### Response example

```json
[
  {
    "visionBoxId": "vb-1",
    "visionBoxName": "Living Room Cube",
    "gmtCreate": "2024-01-01 10:00:00",
    "serviceStockId": "stock-1",
    "serviceName": "Smart Vision",
    "enableState": 1,
    "expiredTime": 1735660800000,
    "scenesType": 0
  }
]
```
